Last Comment Bug 333222 - Buttons not disabled when they should, if toolbar buttons are text-only
: Buttons not disabled when they should, if toolbar buttons are text-only
Status: RESOLVED FIXED
[good first bug]
: fixed1.8.1.1
Product: Camino Graveyard
Classification: Graveyard
Component: Toolbars & Menus (show other bugs)
: Trunk
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: Stuart Morgan
:
:
Mentors:
Depends on:
Blocks: 341853
  Show dependency treegraph
 
Reported: 2006-04-08 05:47 PDT by Håkan Waara
Modified: 2006-10-27 17:48 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix (1.00 KB, patch)
2006-10-21 08:54 PDT, Stuart Morgan
nick.kreeger: review+
Details | Diff | Splinter Review
fixed fix (1020 bytes, patch)
2006-10-21 09:02 PDT, Stuart Morgan
mikepinkerton: superreview+
Details | Diff | Splinter Review

Description User image Håkan Waara 2006-04-08 05:47:17 PDT
Camino 1.0

Steps to reproduce:

1. Open a new window
2. Ctrl-click the toolbar, and choose "Text only" for the buttons.

You'll notice that Back/Forward are clickable and enabled in the toolbar, even if you have not used this window before. This does not happen in the toolbar button as images-mode.
Comment 1 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-04-08 07:24:00 PDT
See also bug 316835, which tracks improperly disabled buttons as buttons.
Comment 2 User image Chris Lawson (gone) 2006-06-21 20:15:22 PDT
I'll look into this.
Comment 3 User image Stuart Morgan 2006-10-21 08:54:35 PDT
Created attachment 242998 [details] [diff] [review]
fix

Why NSToolbarItem doesn't do this by default in the custom view case is beyond me.
Comment 4 User image Nick Kreeger 2006-10-21 09:01:08 PDT
Comment on attachment 242998 [details] [diff] [review]
fix

+// Make sure that them menu form, which is used for the text-only view,

r=me with the comment cleaned up
Comment 5 User image Stuart Morgan 2006-10-21 09:02:30 PDT
Created attachment 243000 [details] [diff] [review]
fixed fix

With gooder English
Comment 6 User image Håkan Waara 2006-10-21 09:06:00 PDT
(In reply to comment #3)
> Created an attachment (id=242998) [edit]
> fix
> 
> Why NSToolbarItem doesn't do this by default in the custom view case is beyond
> me.

File an apple bug?
Comment 7 User image Stuart Morgan 2006-10-21 12:14:17 PDT
The docs mention that enabling of the menu item rep is separate for custom-view items, so they already know. I just don't know why they think it's desirable.
Comment 8 User image Mike Pinkerton (not reading bugmail) 2006-10-25 07:52:43 PDT
Comment on attachment 243000 [details] [diff] [review]
fixed fix

sr=pink
Comment 9 User image froodian (Ian Leue) 2006-10-25 12:36:42 PDT
Checked in on 1.8branch and trunk.

Note You need to log in before you can comment on or make changes to this bug.